Bug 1275079 - [abrt] tuned: configobj.py:1477:_handle_bom:AttributeError: 'module' object has no attribute 'PY2'
[abrt] tuned: configobj.py:1477:_handle_bom:AttributeError: 'module' object h...
Product: Fedora
Classification: Fedora
Component: tuned (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-10-25 11:54 EDT by Luan Cestari
Modified: 2015-11-05 09:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-05 09:03:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (1.55 KB, text/plain)
2015-10-25 11:54 EDT, Luan Cestari
no flags Details
File: environ (72 bytes, text/plain)
2015-10-25 11:54 EDT, Luan Cestari
no flags Details

  None (edit)
Description Luan Cestari 2015-10-25 11:54:00 EDT
Version-Release number of selected component:

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python -Es /usr/sbin/tuned -l -P
dso_list:       python-configobj-5.0.5-2.fc21.noarch
executable:     /usr/sbin/tuned
kernel:         4.0.7-200.fc21.x86_64
runlevel:       unknown
type:           Python
uid:            0

Truncated backtrace:
configobj.py:1477:_handle_bom:AttributeError: 'module' object has no attribute 'PY2'

Traceback (most recent call last):
  File "/usr/sbin/tuned", line 63, in <module>
    app = tuned.daemon.Application(args.profile)
  File "/usr/lib/python2.7/site-packages/tuned/daemon/application.py", line 32, in __init__
    self.config = self._load_global_config()
  File "/usr/lib/python2.7/site-packages/tuned/daemon/application.py", line 183, in _load_global_config
    config = ConfigObj(file_name, configspec=global_config_spec, raise_errors = True, file_error = True)
  File "/usr/lib/python2.7/site-packages/configobj.py", line 1229, in __init__
    self._load(infile, configspec)
  File "/usr/lib/python2.7/site-packages/configobj.py", line 1287, in _load
    content = self._handle_bom(content)
  File "/usr/lib/python2.7/site-packages/configobj.py", line 1477, in _handle_bom
    if six.PY2 and isinstance(line, str):
AttributeError: 'module' object has no attribute 'PY2'

Local variables in innermost frame:
encoding: 'utf16_be'
self: ConfigObj({})
final_encoding: 'utf_16'
BOM: '\xfe\xff'
line: '# Global tuned configuration file.\n'
infile: ['# Global tuned configuration file.\n', '\n', '# Dynamicaly tune devices, if disabled only static tuning will be used.\n', 'dynamic_tuning = 1\n', '\n', '# how long to sleep before checking for events (in seconds)\n', '# higher number means lower overhead but longer response time\n', 'sleep_interval = 1\n', '\n', '# Update interval for dynamic tunings (in seconds).\n', '# It must be multiply of the sleep_interval\n', 'update_interval = 10\n']

Potential duplicate: bug 1235910
Comment 1 Luan Cestari 2015-10-25 11:54:05 EDT
Created attachment 1086256 [details]
File: backtrace
Comment 2 Luan Cestari 2015-10-25 11:54:06 EDT
Created attachment 1086257 [details]
File: environ
Comment 3 Jaroslav Škarvada 2015-10-26 09:01:44 EDT
Probably not tuned bug but configobj or six bug. I will take a look.
Comment 4 Fedora End Of Life 2015-11-04 05:02:22 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Jaroslav Škarvada 2015-11-05 09:03:32 EST
(In reply to Jaroslav Škarvada from comment #3)
> Probably not tuned bug but configobj or six bug. I will take a look.

IIRC it was fixed in f22 by some update (configobj or six), but not sure about f21. Closing as nextrelease (but it is not tuned bug).

Note You need to log in before you can comment on or make changes to this bug.